# https://gitlab.com/tslocum/cview
%global goipath         gitlab.com/tslocum/cview

Version:        1.5.3

%gometa

%global common_description %{expand:
Terminal-based user interface toolkit.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Key event handling library for tcell

# Upstream license specification: MIT
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/gdamore/tcell/v2)
BuildRequires:  golang(github.com/lucasb-eyer/go-colorful)
BuildRequires:  golang(github.com/mattn/go-runewidth)
BuildRequires:  golang(github.com/rivo/uniseg)
BuildRequires:  golang(gitlab.com/tslocum/cbind)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%gopkgfiles

%changelog
